import request from "@/utils/request";

//区域超标统计
export function getAllRStatHarmonicOrg(data) {
    return request({
        url: "/harmonic-boot/harmonic/rStatOrg/getAllRStatHarmonicOrg",
        method: "post",
        data
    });
}
//区域稳态指标超标分类统计表
export function getRStatSubstation(data) {
    return request({
        url: "/harmonic-boot/harmonic/rStatOrg/getRStatSubstation",
        method: "post",
         data
    });
}
//区域电站母线电压类指标超标计
export function getRStatOrgBusbarVoltage(data) {
    return request({
        url: "/harmonic-boot/harmonic/rStatOrg/getRStatOrgBusbarVoltage",
        method: "post",
        data,
    });
}
//区域干扰源电流类指标超标统计
export function getRStatLoadType(data) {
    return request({
        url: "/harmonic-boot/harmonic/rStatOrg/getRStatLoadType",
        method: "get",
        params: data
    });
}
//变电站（换流站）稳态指标超标分类统计表
export function getRStatSubstationOrg(data) {
    return request({
        url: "/harmonic-boot/harmonic/rStatOrg/getRStatSubstationOrg",
        method: "post",
        data,
    });
}
//稳态指标超标明细表
export function getRMpPartHarmonicDetail(data) {
    return request({
        url: "/harmonic-boot/harmonic/rStatOrg/getRMpPartHarmonicDetail",
        method: "post",
        data,
    });
}
//稳态指标超标明细表-趋势图
export function getRMpPartHarmonicDetailIcon(data) {
    return request({
        url: "/harmonic-boot/harmonic/rStatOrg/getRMpPartHarmonicDetailIcon",
        method: "get",
        params: data,
    });
}
//区域稳态指标合格率统计表
export function getRStatOrgIndex(data) {
    return request({
        url: "/harmonic-boot/harmonic/rStatOrg/getRStatOrgIndex",
        method: "get",
        params: data
    });
}
//稳态指标合格率明细表
export function getRMpPassRateInfo(data) {
    return request({
        url: "/harmonic-boot/harmonic/rStatOrg/getRMpPassRateInfo",
        method: "post",
        data,
    });
}
//获取变电站
export function getPmsPowerrInfoWithInOrg(data) {
    return request({
        url: "/device-boot/pmsDeviceInfo/getPmsPowerrInfoWithInOrg",
        method: "post",
        data,
    });
}
//变电站稳态指标超标分类统计表
export function getPwRStatSubstationOrg(data) {
    return request({
        url: "/harmonic-boot/harmonic/pwRStatOrg/getPwRStatSubstationOrg",
        method: "post",
        data,
    });
}